var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconDataNodeComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-data-node").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : 'none', viewBox: "0 0 24 24" }, rest, { ref: ref }),
        React.createElement("g", null,
            React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#40C6F0', d: "M16.8 0H7.2A7.2 7.2 0 0 0 0 7.2v9.6A7.2 7.2 0 0 0 7.2 24h9.6a7.2 7.2 0 0 0 7.2-7.2V7.2A7.2 7.2 0 0 0 16.8 0Z" }),
            React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', fillRule: "evenodd", d: "M18.3 9.34v9.1c0 .31-.25.56-.56.56H6.035c-.31 0-.335-.25-.335-.56V5.56c0-.31.25-.56.56-.56h7.612a.56.56 0 0 1 .391.16l3.868 3.78a.56.56 0 0 1 .169.4Zm-7.38.742a1.4 1.4 0 0 1-.7 1.213v.727h1.05v1.4h-1.05v.86h1.05v1.4h-1.4c-.58 0-1.05-.47-1.05-1.05v-3.337a1.4 1.4 0 1 1 2.1-1.213Zm4.532 3.34h-2.8v-1.4h2.8v1.4Zm0 2.26h-2.8v-1.4h2.8v1.4Zm0-4.55h-2.8v-1.4h2.8v1.4Z", clipRule: "evenodd" })));
}
var IconDataNode = React.forwardRef(IconDataNodeComponent);
export default IconDataNode;
